Subject: Re: bug#15903: 24.3.50; Fix small issue with ispell-hunspell when dictionary is set to default (nil)
From: Agustin Martin <[email-masked]>
To: Vladimir Lomov <[email-masked]>, [email-masked]
Date: Tue, 19 Nov 2013 14:43:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Nov 19, 2013 at 09:08:59PM +0900, Vladimir Lomov wrote:
> Hello,
> ** Agustin Martin [2013-11-19 11:29:44 +0100]:
> 
> > On Mon, Nov 18, 2013 at 09:48:20PM +0900, Vladimir Lomov wrote:
> 
> >> After some tests I found that my /real/ Emacs configuration works,
> >> this is odd because earlier it didn't. Using the same settings for test
> >> files gives failure. I'll back to this problem later on this week.
> 
> > Hi,
> 
> > Just to complete info. What does 'hunspell -D' return in your box? Please
> > try both with your locale and with LC_ALL=C.
> 
> Thank you, this helps me to resolve my issue. Problem was on my side, at
> that time when I used to use aspell for spell checking I set environment
> variable DICTIONARY to string 'russian'. Seems that fools hunspell. When
> I run hunspell -D in a shell with DICTIONARY set to 'russian' hunspell
> ended with
> 
>   ...
>   Can't open affix or dictionary files for dictionary named "russian".

hunspell does not have aliases unless you set symlinks to simulate them,
will only accept entries shown in "hunspell -D". ispell.el tries to match
aliases for entries traditionally in ispell-dictionary-alist, so those names
still work from ispell.el, but that is only an internal ispell.el issue.

> Now I think this "bug" can be closed as "FIXED".

Done. Thanks for your help.

Regards,

-- 
Agustin